| Bsoft 2.0.5 Bernard's software package

Functions
rwmgRELION.h File Reference

Header file for reading and writing micrograph parameters from and to the RELION STAR format. More...

`#include "mg_processing.h"`
`#include "rwstar.h"`

Go to the source code of this file.

## Functions
int | read_project_relion (Bstring &filename, Bproject *project)
| Reading micrograph parameters from a Relion file. More...
int | write_project_relion (Bstring &filename, Bproject *project, int mg_select, int rec_select)
| Writing micrograph parameters to a Relion file. More...
int | project_split_particles (Bproject *project, Bstring partfile, Bstring path, Bstring partext)
| Modifies some micrograph parameters. More...

## Detailed Description

Header file for reading and writing micrograph parameters from and to the RELION STAR format.

Author
  Bernard Heymann

Date
  Created: 20061101
  Modified: 20180525

Definition in file rwmgRELION.h.

## Function Documentation

## ◆ project_split_particles()

int project_split_particles | ( | Bproject * | project,
|  | Bstring | partfile,
|  | Bstring | path,
|  | Bstring | partext
| ) |  |

Modifies some micrograph parameters.

Parameters

  *project | project structure.
  partfile | Relion stack of particles file.
  path | path to write new particle files.
  partext | extension to set the new particle image format.

Returns
  int error code (<0 means failure).

Definition at line 303 of file rwmgRELION.cpp.

## ◆ read_project_relion()

int read_project_relion | ( | Bstring & | filename,
|  | Bproject * | project
| ) |  |

Reading micrograph parameters from a Relion file.

Parameters

  &filename | file name (or comma-delimited list).
  *project | initialized project structure.

Returns
  int error code (<0 means failure).

Definition at line 249 of file rwmgRELION.cpp.

## ◆ write_project_relion()

int write_project_relion | ( | Bstring & | filename,
|  | Bproject * | project,
|  | int | mg_select,
|  | int | rec_select
| ) |  |

Writing micrograph parameters to a Relion file.

Parameters

  *filename | file name.
  *project | project structure.
  mg_select | flag to select micrograph.
  rec_select | flag to select reconstruction.

Returns
  int error code (<0 means failure).

Definition at line 277 of file rwmgRELION.cpp.